CryptoException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.security
Class CryptoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.security.CryptoException

    @TransactionType(value=NOT_SUPPORTED)
    public class CryptoException

extends CardRuntimeException

`CryptoException` represents a cryptography-related exception.

The API classes throw Java Card runtime environment-owned instances of `CryptoException`.

Java Card runtime environment-owned instances of exception classes are permanent Java Card runtime environment Entry Point Objects and can be accessed from any application context.

See Also:
  `KeyBuilder`, `MessageDigest`, `Signature`, `RandomData`, `javacardx.crypto.Cipher`

Field Summary
`static short` | `ILLEGAL_USE` This reason code is used to indicate that the signature or cipher algorithm does not pad the incoming message and the input message is not block aligned.
`static short` | `ILLEGAL_VALUE` This reason code is used to indicate that one or more input parameters is out of allowed bounds.
`static short` | `INVALID_INIT` This reason code is used to indicate that the signature or cipher object has not been correctly initialized for the requested operation.
`static short` | `NO_SUCH_ALGORITHM` This reason code is used to indicate that the requested algorithm or key type is not supported.
`static short` | `UNINITIALIZED_KEY` This reason code is used to indicate that the key is uninitialized.

Constructor Summary
`CryptoException(short reason)` Constructs a `CryptoException` with the specified reason.

Method Summary
`static void` | `throwIt(short reason)` Throws a Java Card runtime environment-owned instance of `CryptoException` with the specified reason.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_VALUE

    public static final short ILLEGAL_VALUE

  This reason code is used to indicate that one or more input parameters is out of allowed bounds.

  See Also:
    Constant Field Values

### UNINITIALIZED_KEY

    public static final short UNINITIALIZED_KEY

  This reason code is used to indicate that the key is uninitialized.

  See Also:
    Constant Field Values

### NO_SUCH_ALGORITHM

    public static final short NO_SUCH_ALGORITHM

  This reason code is used to indicate that the requested algorithm or key type is not supported.

  See Also:
    Constant Field Values

### INVALID_INIT

    public static final short INVALID_INIT

  This reason code is used to indicate that the signature or cipher object has not been correctly initialized for the requested operation.

  See Also:
    Constant Field Values

### ILLEGAL_USE

    public static final short ILLEGAL_USE

  This reason code is used to indicate that the signature or cipher algorithm does not pad the incoming message and the input message is not block aligned.

  See Also:
    Constant Field Values

Constructor Detail

### CryptoException

    public CryptoException(short reason)

  Constructs a `CryptoException` with the specified reason. To conserve on resources use `throwIt()` to use the Java Card runtime environment-owned instance of this class.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)

  Throws a Java Card runtime environment-owned instance of `CryptoException` with the specified reason.

  Java Card runtime environment-owned instances of exception classes are permanent Java Card runtime environment Entry Point Objects and can be accessed from any application context. See Runtime Environment Specification, Java Card Platform, Connected Edition, chapter 6 for details.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `CryptoException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.